Name: qtpfsgui
Version: 1.9.3
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: QtPFSGui - HDR Image compositor
License: GPLv2+
Group: Graphics

URL: http://qtpfsgui.sourceforge.net/
Source: http://downloads.sourceforge.net/qtpfsgui/qtpfsgui-%version.tar.gz
Patch1: qtpfsgui-1.9.3-desktop.patch

# Automatically added by buildreq on Wed Jun 17 2009
BuildRequires: gcc-c++ libexiv2-devel libfftw3-devel libgomp-devel libqt4-devel openexr-devel

# Removed integrated dcraw implementation in 1.9.0: now using the external executable.
Requires: dcraw

%description
Qtpfsgui is a Qt4 graphical user interface that aims to provide a workflow
for HDR imaging.

%prep
%setup
%patch1 -p1

%build
export PATH=%_qt4dir/bin:$PATH
qmake PREFIX=/usr
%make_build

%install
%make_install INSTALL_ROOT=%buildroot install
install -d %buildroot%_datadir/qtpfsgui/i18n/

# Upstream forgot to process i18n files in Makefile...
cd i18n
for i in *.ts;
do lrelease-qt4 $i -qm %buildroot%_datadir/qtpfsgui/i18n/`basename $i .ts`.qm; done

%files
%_bindir/*
%_desktopdir/*
%_niconsdir/*
%_datadir/qtpfsgui/
%exclude %_datadir/qtpfsgui/i18n/lang_xx.qm

%changelog
* Mon Jul 20 2009 Victor Forsyuk <force@altlinux.org> 1.9.3-alt2
- Rebuild with libexiv2.so.5.
- Fix desktop file validation warnings.

* Wed Jun 17 2009 Victor Forsyuk <force@altlinux.org> 1.9.3-alt1
- 1.9.3

* Fri Nov 21 2008 Victor Forsyuk <force@altlinux.org> 1.9.2-alt2
- Install i18n files (language switching in GUI will work).
- Remove obsolete post-script actions.

* Fri Jun 13 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.9.2-alt1.1
- Automated rebuild due to libexiv2.so.2 -> libexiv2.so.4 soname change.

* Wed May 21 2008 Victor Forsyuk <force@altlinux.org> 1.9.2-alt1
- 1.9.2

* Mon Mar 31 2008 Victor Forsyuk <force@altlinux.org> 1.9.1-alt2
- Rebuild with new libexiv2.

* Mon Mar 03 2008 Victor Forsyuk <force@altlinux.org> 1.9.1-alt1
- 1.9.1

* Fri Feb 29 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.9.0-alt1.1
- Rebuilt due to libIlmImf.so.4 -> libIlmImf.so.6 soname change.

* Mon Dec 17 2007 Victor Forsyuk <force@altlinux.org> 1.9.0-alt1
- 1.9.0

* Tue Aug 14 2007 Victor Forsyuk <force@altlinux.org> 1.8.12-alt1
- 1.8.12 (fixed potential buffer overflow security bug).

* Mon Jul 23 2007 Victor Forsyuk <force@altlinux.org> 1.8.10-alt1
- 1.8.10

* Sat Jun 16 2007 Victor Forsyuk <force@altlinux.org> 1.8.9-alt1
- 1.8.9

* Thu May 24 2007 Victor Forsyuk <force@altlinux.org> 1.8.8-alt1
- Initial build.
